//-----------------------------------------------------------------------------
/*
Programmed by Olivier Sangala
http://olivier.sangala.free.fr
olivier_sangala@hotmail.com
*/
//-----------------------------------------------------------------------------

#define CARD_WIDTH (16)
#define CARD_HEIGHT (24)
#define CARDS_COUNT (52)
#define RANDOM_PACK_COUNT (128)

//---------------------------------------------------------------------------

enum {TC_SPADE, TC_HEART, TC_DIAMONDS, TC_CLUBS};
enum {TO_LINE, TO_CIRCLE, TO_STACK};
enum {PLAYER_D,PLAYER_L,PLAYER_U,PLAYER_R};

//---------------------------------------------------------------------------

typedef struct
{
	int x;
	int y;
}
TPoint;

typedef struct
{
	int Rank;
	int Suit;
	int IsFaceVisible;
	int CircleOrderPlace;
	TPoint Position;
	void * CardPackOwner;
}
TCard;

typedef struct
{
	int Count;
	int LineOrderWay;
	int OrderStep;
	int OrderType;
	TPoint InitialPos;
	TCard * Cards[CARDS_COUNT];
}
TCardPack;

typedef struct
{
	TCard Cards[CARDS_COUNT];
}
TCardGame;

//---------------------------------------------------------------------------


void CreateCards(void);

void CardPackCollect(TCardPack * CardPack);
void CardPackClear(TCardPack * CardPack);
void CardPackRandom(TCardPack * CardPack);
void CardPackSort(TCardPack * CardPack);
void CardPackAlign(TCardPack * CardPack);
void CardPackFlip(TCardPack * CardPack);

void CardMovePack(TCard * Card, TCardPack * CardPackDest, int IndexDest);
int CardGetIndex(TCard * Card);
void ExchangeCards(TCard * Card1, TCard * Card2);

void DrawAllCards(void);
void DrawCard(TCard * Card);
void DrawCardPack(TCardPack * CardPack);

//---------------------------------------------------------------------------
