//-----------------------------------------------------------------------------
/*
Programmed by Olivier Sangala
http://olivier.sangala.free.fr
olivier_sangala@hotmail.com
*/
//-----------------------------------------------------------------------------

// C Header File
// Created 11/02/03; 12:33:29

//---------------------------------------------------------------------------


#define CARDSTEP_USER (7)
#define CARDSTEP_CPU (2)
#define CARS_PER_PLAYER (8)
#define PLAYERS_COUNT (4)
#define MAIN_PLAYER (PLAYER_D)

//---------------------------------------------------------------------------

typedef struct
{
char name[9];
int Points;
TCardPack * CardPack;
}
TPlayer;

typedef struct
{
int PlayerTurn;
int AutoPlay;
int StartPlayer;
TCardPack * DiscardPile;
TPlayer  Players[4];
}
TGame;

//---------------------------------------------------------------------------


void NewGame(void);
int TestCard(TCard * Card);
void PlayCard(TCard * Card);
TCard * GetPossiblePlayCard(TCardPack * CardPack);
void SkipTurn(void);
void DrawFromStock(void);
void RemakeStock(void);
void CPU_Play(void);
void PlayerMakePos(int Player);
void CheckGameState(void);
void SetPositions(void);

void RefreshScreen(void);
void ShowMsg(char*str);
void ShowPoints(void);

//---------------------------------------------------------------------------
